
Redmine - Patch #1864

Automatically extend /public with javascripts and images from a theme folder

2008-09-05 20:55 - Chris Hart

Status: Closed Start date: 2008-09-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

We had to develop a custom theme for Redmine and wanted to preserve the default /public folder in its pristine state. Problem was,

we had a few theme-specific javascripts that we also wanted to run.

Here is our modified 

/lib/redmine/themes.rb

.

Related issues:

Related to Redmine - Feature #2803: Support for Javascript in Themes Closed 2009-02-21

History

#1 - 2008-10-25 06:46 - Eric Davis

- File 1864-add-js-to-themes.diff added

I like the idea for this patch but I'm a bit tired to test it out.  Here's a diff of the file against trunk, could I get another set of eyes to test it out?

#2 - 2010-12-22 22:43 - Jean-Philippe Lang

- Status changed from New to Closed

See #2803.

Files

themes.rb 3.32 KB 2008-09-05 Chris Hart

1864-add-js-to-themes.diff 1.83 KB 2008-10-25 Eric Davis
